RPM is a package management system intended primarily for Linux distributions.

learn more… | top users | synonyms

2
votes
2answers
225 views

AIX apache rpm dependencies

I am evaluating the Crowd SSO by Atlassian. Now to get apache to use CROWD for authentication, there is a connector available by the vendor. Problem Unfortunately they do not provide anything for ...
1
vote
2answers
60 views

yum translation of rpm -Uvh

I'm trying to understand what yum version of rpm -Uvh is. I found this question about that command and yum, but it doesn't have what I'm looking for. Looking at --help, would this be the equivalent of ...
1
vote
2answers
125 views

How To Locate Dependencies Needed by RPM Packages

I am trying to deal with keeping our RHEL 5 server patched up, but also dealing with our security constraints. This particular server is not allowed to talk to the Internet. So yum isn't really an ...
0
votes
2answers
31 views

Problems installing Chrome in SLED 11

I'm trying to install Google Chrome on my OS, but when I execute the .rpm, I got this error: google-chrome-stable-35.0.1916.153-1.x86_64 requires libX11.so.6 (64bit), but this requirement cannot be ...
3
votes
1answer
46 views

Make RPM Satisfy Dependency Requirements of Other Installed Packages

So, I am installing a java app that I wrote which uses jnetpcap. This requires libpcap of at least v1.0.0. My CentOS 5.8 only has libpcap 0.9.4, which is required by other installed packages. I've ...
3
votes
1answer
220 views

Using zypper, how can I remove all packages installed from a specific repository?

Say I've added a repository using zypper ar. Then, I've gone and installed multiple packages from that repository, but now I want to remove all of them. Is there a command that allows me to remove ...
3
votes
1answer
291 views

How to override anaconda/kickstart package ordering?

I am building a bootable ISO to be used to install a Linux image (Oracle Linux, 5.8). This is using anaconda with a kickstart file to select the packages to be loaded. Some of these packages are ...
3
votes
1answer
1k views

How can I downgrade a glibc version?

I upgraded glibc for a reason that isn't arround anymore so i want to downgrade it again. The stupid thing is a lot of programms rely on glibc at the moment. I still have the 2.4 version on the system ...
2
votes
1answer
748 views

Why does yum continue to complain about a missing dependency that is already installed?

I have a self-created rpm for mapserver 6.2.1 that I want to support Oracle, but I am having a lot of difficulties getting it all to work. I have installed the ...
2
votes
1answer
250 views

Missing dependency during rpm install

When I install CodeAnalsyt, i get a failed dependency on libbfd-2.20.51 on Centos 6.3. Binutils is installed on my system and the failed dependency does exists at ...
2
votes
1answer
297 views

Install apache2-mod-mono-2.10

I am trying to install mod-mono for apache so that I can run C# asp.net websites from my server. The project I have is a .net 4 project. When I go into yast and select apache2-mod-mono for install ...
1
vote
1answer
49 views

How to Resolve a .so Dependency

I have a package (.rpm) on CentOS 6.5 that requires a .so file, which I also have on my machine. When I attempt to install the package I get an error stating unresolved dependencies regarding the .so ...
1
vote
1answer
112 views

setting up yum in stripped down linux

I have a box that contains minimal binaries needed to run Scientific Linux. What I want to do is to install additional programs. I could get rpm installed and tried to install yum but resolving those ...
0
votes
1answer
757 views

CentOS GPG keys error

When running this on CentOS 6: yum update I accept the transaction summary that it presents and am then immediately presented with this: Downloading Packages: warning: rpmts_HdrFromFdno: Header V3 ...
0
votes
1answer
63 views

Can I Install packages on live linux os?

I want to install some more software on sabayon live and they should be remained in USB for later use. Can I install packages on live Linux OS?
0
votes
1answer
367 views

RPM: Installed (but unpackaged) file(s) found on Centos 6 with CUPS 1.7.1

Trying to install CUPS 1.7.1 on Centos 6.5 via RPM, I use: # rpmbuild -ta cups-1.7.1-source.tar.bz2 --without dbus --without libusb1 but stops with below error: Checking for unpackaged file(s): ...
0
votes
1answer
788 views

How to install RPM based Packages on OpenFiler

We bought One SuperMicro Server that will be used for Storage purposes and then we install the openfiler on it. The thing is that we need to install RAID controller and Im not familiar with OpenFiler ...
3
votes
0answers
464 views

recommended procedure to create a user/group during RPM install

after trying hard to search for RPM best practices guides and finding virtually none, to my surprise, I resort to the community - I need to ensure that some users and groups exist after the ...
2
votes
0answers
38 views

Best way to release an RPM that includes an independently version module

I work on a server software that is targeted for RHEL/CentOS and is currently distributed via a standard RPM file. What brings me here is that it includes a downloadable client engine that users can ...
2
votes
0answers
71 views

Install packages in $HOME/usr

I'm looking to script use of rpm --relocate. How to change the default location packages are installed to - from user/local to $HOME/usr? Do I need to do it all manually (removing and reinstaling to ...
1
vote
0answers
11 views

“Requires: perl(:MODULE_COMPAT_5.8.8)”

I use CentOS 6.5 for my server with below repository: IUS epel ces-standard-* base/upgrade/extras When I tried to update today (it's been a while I haven't updated this server), I got the ...
1
vote
0answers
41 views

rpmbuild library register for 'requires'

Big Picture: I am building an in-house rpm for a customized php. I build an rpm which works, but generate library requirements that I can't seem to meet without using 'nodeps', which I want to avoid ...
1
vote
0answers
81 views

How do I install additional modules when building an Apache RPM?

We've been compiling and installing Apache under /usr/local/apache2 and in turn would tar the folder up to distribute to our other servers. I would like to convert this into an RPM package for easier ...
1
vote
0answers
90 views

Installing rpm & dependencies

I am trying to install an rpm, namely the Oracle 10g database for CentOS 6 for testing an app. The problem is that the machine the OS is installed on does not have access to the internet and there ...
1
vote
0answers
598 views

How to change metadata on an installed rpm

I need to modify information for an rpm which is already installed. E.g. rpm -qi sip-section-call-1.0.19-1.noarch Name : sip-section-call Relocations: (not relocatable) ...
0
votes
0answers
24 views

libmpg123 bugging up yum

I had to manually install some dependencies in my fumbling attempts to get netflix working yesterday with pipelight, and ultimately failed. I uninstalled everything I installed during that process, ...
0
votes
0answers
80 views

Saxon rpm build fails due to “ant: command not found”

Hopefully this is a question I can ask this community. I'm currently working on building zookeeper-3.4.5-13 for a CentOS 5 environment. During this process I've been going down a long list of required ...
0
votes
0answers
55 views

Centralized package management for RPM based distro

We have about 6 servers under Linux CentOS. And I want to have possibility to view (best will be some web-interface, but console-only useful too) outdated packages, which can be updated and have all ...
0
votes
0answers
25 views

How to handle a mass rpmbuild for a new distribution?

How could I define and initiate a mass rpmbuild for a coresystem of a new distro? Which requisites beyond rpmbuild-dir are needed?
0
votes
0answers
32 views

How do I patch an rpm in SLES and automatically rebuild it when updates are available?

I applied a patch to a source RPM, built it and installed the resulting package. All good. But now every time the package gets updated, it gets overwritten with the unpatched version from the official ...
0
votes
0answers
228 views

How to install cpp in RHEL 6.3?

I want to install gcc in RHEL 6.3, but it has cpp dependencies. So I go to cpp rpm download page, but it has no rpm for 6.3 version: Is there any other way to install cpp in RHEL 6.3?
0
votes
0answers
101 views

How can i specify directory user & group for files inside an RPM?

I am building RPMs using FPM. When using the --rpm-user and --rpm-group, I notice as advertised that in the specfile that the %defattr(-,user,group,-) is set under %files. This does indeed set the ...